#ifndef _SEGMENT_H
#define _SEGMENT_H

#include "graph.h"
#include "naive_ppm.h"
#include "queue.h"

#include <assert.h>
#include <getopt.h>
#include <limits.h>
#include <math.h>
#include <stdarg.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// to removed "unused parameter" warning when necessary
#define UNUSED(x) (void)(x)

// global variable for verbosity of log messages
extern int VERBOSITY;

// log function: only prints the message if VERBOSITY is strictly greater than
// v
void LOG(int v, char* format, ...);

///////////////////////////////////////////
// to be defined in maxflow-*.c files

// global variable for version information
extern char VERSION[];
int maxflow(graph* G, int* Done);
int main_test(graph* G, size_t argc, char* argv[]);

#endif
